---
title: "AngledLineData"
excerpt: "Data to draw an angled line."
layout: manual
---

Data to draw an angled line.




**This schema accepts any of the following:**

An angle and length with explicitly named parameters

**Type:** `object`





## Properties

| Property | Type | Description | Required |
|----------|------|-------------|----------|
| `angle` |`number`| The angle of the line (in degrees). | No |
| `length` |`number`| The length of the line. | No |


----
An angle and length given as a pair

**Type:** `array`

`[number, number]`





----





